#!/usr/bin/env python
#
# EnDroid setup file
#


from distutils.core import setup


try:
    # Generate the version_info module, used so that endroid
    # knows what version it is at
    import os
    import bzrlib.branch
    import bzrlib.version_info_formats.format_python
    this_dir = os.path.dirname(os.path.realpath(__file__))
    the_branch = bzrlib.branch.Branch.open(this_dir)
    version_info = bzrlib.version_info_formats.format_python.PythonVersionInfoBuilder(the_branch)
    version_info_file = os.path.join(this_dir, 'src', 'endroid', 'version_info.py')
    with open(version_info_file, 'w') as f:
        version_info.generate(f)
except (ImportError, OSError, Exception) as e:
    print("Failed to get version info: {}".format(e))


setup(name='endroid',
      version="1.4.5",
      description='EnDroid: a modular XMPP bot',
      url='http://open.ensoft.co.uk/EnDroid',
      packages=[
          'endroid',
          'endroid.plugins',
          'endroid.plugins.compute',
          'endroid.plugins.sms',
      ],
      package_dir={'endroid': 'src/endroid'},
      requires=['treq', 'wokkel', 'twisted']
      )
