# -----------------------------------------
# Endroid - Provide access to EnDroid's version info
# Copyright 2014, Ensoft Ltd.
# Created by Chris Davidson
# -----------------------------------------


from endroid.plugins.command import CommandPlugin, command


class Version(CommandPlugin):

    def endroid_init(self):
        self.version_info = None
        try:
            import endroid.version_info
            self.version_info = endroid.version_info.version_info
        except ImportError:
            # No version info
            pass

    def help(self):
        return "Display details of EnDroid's version."

    @command()
    def version(self, msg, args):
        if self.version_info is None:
            reply = ("I'm sorry I don't appear to know what version I'm "
                     "running.")
        else:
            reply = ("I'm currently running version {revno} commited on "
                     "{date} and built on {build_date} (rev "
                     "{revision_id})".format(**self.version_info))
        msg.reply(reply)
